package query

#######################################################################
# navigation bar
#
# these macros must be overridden for any collections using 
# options different from the default (i.e. search, titles and authors) 
#######################################################################

_imagequerybar_ {
<center>
<nobr>_icontabsearchgreen__icontabspacer__imagebrowsetitles__icontabspacer2__imagebrowseauthors_</nobr>
</center>
<p>
}

_imagequerybar_[version=text] {
_imagebrowsetitles_<br>
_imagebrowseauthors_<br>
<p>
}


#######################################################################
# https
#######################################################################

_httpiconthispage_ {_httpiconhsearch_}
_widthiconthispage_ {_widthiconhsearch_}
_heighticonthispage_ {_heighticonhsearch_}


#######################################################################
# icons
#######################################################################

_iconthispage_ {<img src="_httpiconthispage_" alt="_texticonthispage_" width="_widthiconthispage_" height="_heighticonthispage_">}
_iconthispage_ [version=text] {<h2>_texticonthispage_</h2>}

_iconqueryresultsbar_ {<img src="_httpiconqryresb_" width="_widthqryresb_" height="_heightqryresb_" alt="_texticonqueryresultsbar_">}
_iconqueryresultsbar_[version=text] {_texticonqueryresultsbar_}


#######################################################################
# images
#######################################################################

_imagethispage_ {_iconthispage_}


#######################################################################
# page content
#######################################################################

_pagetitle_ {_collectionname_: Search page}

_noqueryheader_ {
_imagequerybar_
_queryform_

<p>
_iconblankbar_<br>
}

_queryheader_ {
_imagequerybar_
_queryform_

<_font_>
<center><p>_iconqueryresultsbar_</center><br>
<small>_freqmsg_</small><br>
_resultline_
</font>

<p>
}


# default to be overridden for each page
_links_ {}

_queryfooter_ {
_links_
}

_queryform_ {
<form name=QueryForm method=get action="_gwcgi_">

<input type=hidden name="a" value="q">
<input type=hidden name="e" value="_compressedoptions_">
<input type=hidden name="r" value="1">

<center>
<table><tr><td>
<_font_>
<nobr>
_textselect_<br>
</nobr>
</font>
</td></tr><tr><td>
<_font_>
<nobr>
<input type="text" name="q" value="_querystring_" size="50">
<input type="submit" value="_textbeginsearch_" name="b">
</nobr>
</font>
</td></tr></table>
</center>
</font>
</form>
}

#######################################################################
# English text 
#######################################################################

_texticonthispage_ {search}
_textsome_ {some}
_textall_ {all}
_texticonqueryresultsbar_ {}
_textfm1_ {Word count: }
_textmt2_ {More than }
_textndmtq_ {No documents matched the query}
_textdmtq2_ { document matched the query}
_textdmtq3_ { documents matched the query}
_textmatches_ {Matches }
_textbeginsearch_ {Begin Search}

# the textselect macro will be overridden for most collections
_textselect_ {Search _hselection_ of _jselection_ in _nselection_ language for 
_querytypeselection_ of the words}

#######################################################################
# Maori text		
#######################################################################

_texticonthispage_ [language=mi] {rapu}
_textsome_ [language=mi] {&euml;tehi}
_textall_ [language=mi] {te katoa}
_textbeginsearch_ [language=mi] {Rapua}
_textfm1_ [language=mi] {Kia hia ng&auml; kupu: }
_textmt2_ [language=mi] {Neke atu i te }
_textndmtq_ [language=mi] {k&auml;ore he pukapuka e p&auml; ana ki &auml;u kupu rapu}
_textdmtq2_ [language=mi] { te pukapuka e p&auml; ana ki &auml;u kupu rapu}
_textdmtq3_ [language=mi] { ng&auml; pukapuka e p&auml; ana ki &auml;u kupu rapu}



