/**********************************************************************
 *
 * colservrconfig.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: colservrconfig.h 166 1999-02-21 22:35:26Z rjmcnab $
 *
 *********************************************************************/


#ifndef COLSERVRCONFIG_H
#define COLSERVRCONFIG_H


#include "gsdlconf.h"
#include "text_t.h"
#include "collectserver.h"


// collect_cfg_read reads collect.cfg returning true on success.
bool collect_cfg_read (collectserver &cserver, const text_t &gsdlhome,
		       const text_t &collection);

// build_cfg_read reads build.cfg and returns true on success.
bool build_cfg_read (collectserver &cserver, const text_t &gsdlhome,
		     const text_t &collection);


#endif
