/**********************************************************************
 *
 * librarymain.cpp -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: librarymain.cpp 166 1999-02-21 22:35:26Z rjmcnab $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.1  1999/02/21 22:35:22  rjmcnab

   Initial revision.

 */


#include "receptionist.h"
#include "cgiwrapper.h"
#include "nullproto.h"
#include "collectserver.h"
#include <assert.h>

int main () {
  receptionist recpt;
  nullproto nproto;
  
  // add a collection server for each collection ... (not implemented yet)
  collectserver cserver;
  cserver.configure ("collection", "gberg");
  nproto.add_collectserver (&cserver);

  // add the protocol to the receptionist
  recpt.add_protocol (&nproto);

  cgiwrapper (recpt, "");
  return 0;
}

