/**********************************************************************
 *
 * recptconfig.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: recptconfig.h 149 1999-02-05 06:50:33Z rjmcnab $
 *
 *********************************************************************/


#ifndef RECPTCONFIG_H
#define RECPTCONFIG_H


#include "gsdlconf.h"
#include "text_t.h"
#include "receptionist.h"


// reads site configuration file returning true on success
bool site_cfg_read (receptionist &recpt, const text_t &gsdlhome,
		     const text_t &collection, int &maxrequests);

// main_cfg_read reads either collect.cfg or main.cfg and returning 
// true on success. It attempts to read collect.cfg first if a
// collection is specified and then it tries to read in main.cfg
bool main_cfg_read (receptionist &recpt, const text_t &gsdlhome,
		     const text_t &collection);


#endif
